Heroes of Newerth

Zdravím, chtěl bych se zeptat. Podařilo se někomu rozchodit tuto hru pod Fedorou 13? Já teda zkoušel více distribucí a pokaždé mi to vyhodilo stejnou chybu. Po chvíli hledání na netu jsem přišel na to, že by to mělo být mou grafickou kartou a že si musím nainstalovat jiné ovladače. Pár věcí jsem zkoušel ale nikdy se mi to nepodařilo spustit. Akorád se mi tak povedlo rozdrbat si Xka. Co se týče linuxu jsem začátečník v podstatě jsem na něj přešel s příchodem právě Fedory 13. A jediná hra, kterou bych si chtěl sem tam zahrát je právě tato. Dost omáčky teda :smiley:

Grafika:
ATI x600 Mobile

Chyba:
warning: The VAD has been replaced by a hack pending a complete rewrite
K2 - Fatal Error: ARB_shader_objects not available.

Díky… :wink:

Podle me proste chyby funkce ARB_shader_objects. Muzes zkusit nainstalovat mesa-dri-drivers-experimental nicmene ATI proste neni dlouhodobe schopne sledovat vyvoj X serveru a jejich vlastni ovladace catalyst s poslednima verzema Fedory vetsinou proste nefungujou a ty distribucni jsou preci jen funkcne omezene.

A je na ty ovladače (mesa-dri-drivers-experimental) někde nějaký návod? Jak už jsem psal s linuxem v podstatě začínám a když jsem to předtím zkoušel tak jsem si ty Xka docela pokazil… :slight_smile:

Tyto ovladače by měly být, pokud se nepletu - ATI nevedu, přímo v repu Fedory, takže

yum -y install mesa-dri-drivers-experimental

Tak jsem je tím příkazem nainstaloval a pořád stejná chyba… :frowning:

A restartoval si?

Mimochodem podle http://www.heroesofnewerth.com/specs_pop.html vyzaduje tato hra OpenGL 2 kompatibilni gr. kartu:
Video Card - 128MB fully OpenGL 2.0 / GLSL 1.20 compliant Geforce or Radeon

x600 by mela byt opengl 2.0 ale jestli i mobile… mas 128MB video RAM?

jj má 128MB. Ve windows mi ta hra funguje bez problému, ale jde mi o to, že jsem se chtěl právě toho dualbootu zbavit a přejít jen na fedoru…

Edit: Ještě takový dotaz, ty “experimental” mesa driver, to stačí jen stáhnout, není třeba to na ně ještě nějak přepnout, nebo tak něco? :smiley:
Chtěl jsem se mrknout do xorg.conf, ale v /etc/X11/ tento soubor postrádám… :frowning:

xorg.conf neni potreba - X server uz ma nekolik verzi autokonfiguraci. “stahnout” znamena co? yum install je rovnou nainstaluje, prusvih je, ze ted jsem do toho baliku koukal a jsou tam jen moduly pro noveau (nvidii), coz na atine moc nepomuze. Tak to vypada ze otevrene ovladace proste tuhle funkci neimplementuji a ati catalyst je jako vzdy pozadu. :frowning:

jj nainstaloval jsem je, použil jsem příkaz, co sem postoval Vain. Takže když shrnu to co jsi psal, jestli jsem to správně pochopil. Tak zatím mám s touto grafikou smůlu a tuto hru si zahraju jedině ve Woknech…